Subject: [Megaco] About play ann

From: "derrick.ding" <[email-masked]>
Date: Tue, 5 Feb 2002 14:22:59 +0800

Hi,Tom-PT！
   I have a question about play announcement on MGC side, need your help so much.

   When Termination A is connected with Termination B, like this:
MGC:
   Transaction = 50001{
    Context = 3{
        Add = B
        Add = A 
    }
   }

   Now play announcement to B, Should MGC play announcement to B dirrectly, or modify topology first, then play announcement to B(the latter is adopted by TS.23205). ABNF is as following:
1.one choice:
MGC:
   Transaction = 50002{
    Context = 3{
        Modify = B{
           signal(an/ann1)
         }        
    }
   } 

2. the other choice:
MGC:
   Transaction = 50002{Topology{
                               A,B,Isolate
                               }
                       Context = 3{
                                  }
                      }

   Transaction = 50003{
    Context = 3{
        Modify = B{
           signal(an/ann1)
         }        
    }
   } 

I think both are right. And in my opinion, I prefer the first one because of its simplicity.

Thanks and Best Regards           

            derrick.ding
            [email-masked]

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco